export default function({ title, header, children, comp }) {
  return (
    <html>
      <head>
        <meta charSet="utf-8"/>
        <title>{ title }</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
        <link rel="stylesheet" href="/styles/main.css"/>
        <link rel="icon" type="image/png" href="/icons/tabicon-16.png" sizes="16x16" />
        <link rel="icon" type="image/png" href="/icons/tabicon-32.png" sizes="32x32" />
        <link rel="icon" type="image/png" href="/icons/tabicon-96.png" sizes="96x96" />
        <link rel="icon" type="image/png" href="/icons/tabicon-128.png" sizes="128x128" />
        <link rel="icon" type="image/png" href="/icons/tabicon-196.png" sizes="196x196" />
      </head>
      <body>
        { comp.navbar() }
        { comp.header(header) }
        { children }
        { comp.separator() }
        { comp.footer() }
      </body>
    </html>
  );
}
